# includable list of forms for a type
# @param object_type

acs_object_type::get -object_type $object_type -array type_info

list::create \
    -name forms \
    -multirow forms \
    -key form_id \
    -row_pretty_plural "[_ dynamic-types.forms]" \
    -pass_properties {
        object_type
    } -actions [list "[_ dynamic-types.add]" [export_vars -base form-ae {object_type}] "[_ dynamic-types.add_form]"] \
    -bulk_actions {
    } -elements {
	name {
	    label "[_ dynamic-types.form_name]"
	    link_url_eval $form_url
	}
    } -filters {
        object_type {}
    }

db_multirow -extend { form_url } forms get_forms {} {
    set form_url [export_vars -base form {object_type form_id}]
}
