ad_page_contract {

} {
    attribute_id:integer,notnull
}
db_1row get_attribute "select * from acs_attributes where attribute_id=:attribute_id" -column_array attribute
ad_form -name delete -export {attribute_id} -cancel_url . -form {
    {notice:text(inform) {label "Delete attribute ${attribute(pretty_name)}? All data collected for this attribute will be lost."}}
} -on_submit {
    dtype::delete_attribute -name $attribute(attribute_name) -object_type $attribute(object_type) -drop_column
    set function "dtype::form::metadata::\[^ \]*_list -no_cache" 
    util_memoize_flush_regexp "$function -object_type \"$attribute(object_type)\".*"
    set object_type $attribute(object_type)
    ad_returnredirect -message "Removed attribute $attribute(pretty_name) on $attribute(object_type)" ./[export_vars -base dtype {object_type}]
}