<?xml version="1.0"?>

<queryset>

<fullquery name="get_data">
  <querytext>

    select f.form as form_name, a.attribute_name 
      from dtype_element_attribute_map em, 
           acs_attributes a, 
           dtype_elements e,
           dtype_form_type_map f
     where em.element_id = e.element_id
       and em.attribute_id = a.attribute_id
       and e.form_id = f.form_id
       and e.element_id = :element_id
       and e.form_id = :form_id

  </querytext>
</fullquery>

<fullquery name="get_parameters">
  <querytext>

select p.name as param_name, p.param_type, p.is_required, p.default_value as param_value,
'' as param_source
from dtype_proc_params p 
where p.proc = 'template::element::create'
order by param_value

  </querytext>
</fullquery>

</queryset>
