<?xml version="1.0"?>
<queryset>
	<rdbms><type>postgresql</type><version>7.3</version></rdbms>

<fullquery name="dynamic_forms">
  <querytext>

--    select f.form_id, f.name as form_name, a.attribute_name, e.element_id,
--           e.widget, e.is_required, wp.param, ep.param_type,
--	   ep.param_source, ep.value as param_value
--    from dtype_forms f, acs_attributes a, dtype_elements e
--         left outer join dtype_element_params ep using (element_id)
--         left outer join dtype_widget_params wp using (param_id)
--    where f.object_type = :object_type
--    and e.form_id = f.form_id
--    and a.attribute_id = e.attribute_id

      select fm.form_id, fm.form as form_name, a.attribute_name,
             e.element_id, e.widget, e.custom, dp.name as param, dpv.value
        from dtype_form_type_map fm, 
             dtype_element_attribute_map em, acs_attributes a,
             dtype_elements e, dtype_proc_params dp, dtype_proc_param_values dpv 
      where fm.object_type = :object_type
        and fm.form_id = e.form_id
        and e.element_id = em.element_id
        and em.attribute_id = a.attribute_id
        and e.element_id = dpv.call_id
        and dp.param_id = dpv.param_id

  </querytext>
</fullquery>

</queryset>
