<?xml version="1.0"?>

<queryset>

<fullquery name="get_data">
  <querytext>

    select fm.form as form_name, a.attribute_name, p.name as param
    from dtype_elements e, dtype_element_attribute_map em, acs_attributes a,
         dtype_form_type_map fm, dtype_proc_params p
    where e.form_id = :form_id
    and e.element_id = :element_id
    and p.param_id = :param_id
    and e.element_id = em.element_id
    and a.attribute_id = em.attribute_id
    and fm.form_id = e.form_id

  </querytext>
</fullquery>

<fullquery name="get_param_data">
  <querytext>

    select param_source, value
    from dtype_proc_param_values pv
    where value_id = :value_id

  </querytext>
</fullquery>

</queryset>
